<?php

namespace EventPortal\Domain\Component;

use EventPortal\Domain\Field\Enums\FieldType;

class Section extends Component
{
    /** @var array */
    public $children = [];

    public function type(): FieldType
    {
        return FieldType::Section();
    }

    public function addChild(callable $child): self
    {
        $this->children[] = $child()->toArray();

        return $this;
    }
}
