<?php

namespace EventPortal\Domain\Form\Facades;

use EventPortal\Domain\Form\Factories\FormFactory;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Form\Form fromDefaultFields(DefaultFields $defaultFields, $model)
 * @method \EventPortal\Domain\Form\Form fromModel(HasFields $model)
 * @method \EventPortal\Domain\Form\Form display(HasFields $model)
 */
class Form extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return FormFactory::class;
    }
}
